package test.org.seasar.dao.impl;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class ImplAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ImplAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.dao.impl");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(BeanArrayMetaDataResultSetHandlerTest.class));
		suite.addTest(new TestSuite(BeanListMetaDataResultSetHandlerTest.class));
		suite.addTest(new TestSuite(BeanMetaDataImplTest.class));
		suite.addTest(new TestSuite(BeanMetaDataResultSetHandlerTest.class));
		suite.addTest(new TestSuite(DaoMetaDataImplTest.class));
		suite.addTest(new TestSuite(DeleteAutoStaticCommandTest.class));
		suite.addTest(new TestSuite(DeleteBatchAutoStaticCommandTest.class));
		suite.addTest(new TestSuite(InsertAutoStaticCommandTest.class));
		suite.addTest(new TestSuite(InsertBatchAutoStaticCommandTest.class));
		suite.addTest(new TestSuite(RelationKeyTest.class));
		suite.addTest(new TestSuite(SelectDynamicCommandTest.class));
		suite.addTest(new TestSuite(UpdateAutoStaticCommandTest.class));
		suite.addTest(new TestSuite(UpdateBatchAutoStaticCommandTest.class));
		suite.addTest(new TestSuite(UpdateDynamicCommandTest.class));
		//$JUnit-END$
		return suite;
	}
}
